# Generated from litecable-0.7.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name litecable

Name: rubygem-%{gem_name}
Version: 0.7.2
Release: 1%{?dist}
Summary: Fat-free ActionCable implementation
License: MIT
URL: https://github.com/palkan/litecable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rack) >= 2.0
# BuildRequires: rubygem(rack) < 3
# BuildRequires: rubygem(websocket) >= 1.2.4
# BuildRequires: rubygem(websocket) < 1.3
# BuildRequires: rubygem(websocket-client-simple) >= 0.3.0
# BuildRequires: rubygem(websocket-client-simple) < 0.4
# BuildRequires: rubygem(concurrent-ruby) >= 1.1
# BuildRequires: rubygem(concurrent-ruby) < 2
# BuildRequires: rubygem(puma) >= 3.6
# BuildRequires: rubygem(rspec) >= 3.0
BuildArch: noarch

%description
Fat-free ActionCable implementation for using with AnyCable (and without
Rails).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.7.2-1
- Initial package
